Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8SteppingVerbose.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8SteppingVerbose.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8SteppingVerbose.hh,v 1.4 2006/06/29 16:59:22 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //  
Index: trunk/examples/extended/electromagnetic/TestEm8/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/PhysicsList.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/PhysicsList.hh	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: PhysicsList.hh,v 1.2 2006/06/29 16:59:46 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.hh,v 1.3 2008/11/21 12:39:24 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -40,4 +40,5 @@
 #include "G4VModularPhysicsList.hh"
 #include "globals.hh"
+#include "G4EmConfigurator.hh"
 
 class G4VPhysicsConstructor;
@@ -49,35 +50,46 @@
 class PhysicsList: public G4VModularPhysicsList
 {
-  public:
-    PhysicsList();
-   ~PhysicsList();
+public:
+  PhysicsList();
+  virtual ~PhysicsList();
 
-    void ConstructParticle();
+  void ConstructParticle();
     
-    void SetCuts();
-    void SetCutForGamma(G4double);
-    void SetCutForElectron(G4double);
-    void SetCutForPositron(G4double);
+  void SetCuts();
+  void SetCutForGamma(G4double);
+  void SetCutForElectron(G4double);
+  void SetCutForPositron(G4double);
         
-    void AddPhysicsList(const G4String& name);
-    void ConstructProcess();
+  void AddPhysicsList(const G4String& name);
+  void ConstructProcess();
     
-    void AddStepMax();       
-    StepMax* GetStepMaxProcess() {return stepMaxProcess;};
+  void AddStepMax();       
+  //StepMax* GetStepMaxProcess() {return stepMaxProcess;};
 
-  private:
-    G4double cutForGamma;
-    G4double cutForElectron;
-    G4double cutForPositron;
+private:
 
-    G4VPhysicsConstructor*  emPhysicsList;
-    G4VPhysicsConstructor*  generalPhysicsList;
-    G4VPhysicsConstructor*  particleList;
-    std::vector<G4VPhysicsConstructor*>  hadronPhys;
-    G4String emName;
+  void  AddPAIModel(const G4String&);
+  void  NewPAIModel(const G4ParticleDefinition*, const G4String& modname, 
+		    const G4String& procname);
+
+  G4EmConfigurator em_config;
+
+  G4double cutForGamma;
+  G4double cutForElectron;
+  G4double cutForPositron;
+
+  G4VPhysicsConstructor*  emPhysicsList;
+  G4VPhysicsConstructor*  generalPhysicsList;
+  G4VPhysicsConstructor*  particleList;
+  std::vector<G4VPhysicsConstructor*>  hadronPhys;
+  G4String emName;
     
-    StepMax* stepMaxProcess;
+  StepMax* stepMaxProcess;
     
-    PhysicsListMessenger* pMessenger;
+  PhysicsListMessenger* pMessenger;
+
+  G4VEmModel* em_model;
+  G4VEmFluctuationModel* fm_model;
+
 };
 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/PhysicsListMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/PhysicsListMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.2 2006/06/29 16:59:49 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/StepMax.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/StepMax.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/StepMax.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.2 2006/06/29 16:59:52 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm8/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/StepMaxMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/StepMaxMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.2 2006/06/29 16:59:55 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm8/include/TRTDetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/TRTDetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/TRTDetectorConstruction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: TRTDetectorConstruction.hh,v 1.4 2006/06/29 16:59:58 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/TRTMaterials.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/TRTMaterials.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/TRTMaterials.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: TRTMaterials.hh,v 1.4 2006/06/29 17:00:01 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8CalorHit.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8CalorHit.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8CalorHit.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8CalorHit.cc,v 1.5 2006/06/29 17:00:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8CalorimeterSD.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8CalorimeterSD.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8CalorimeterSD.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8CalorimeterSD.cc,v 1.7 2006/06/29 17:00:05 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8DetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8DetectorConstruction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8DetectorConstruction.cc,v 1.21 2007/10/02 10:12:47 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8DetectorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8DetectorMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8DetectorMessenger.cc,v 1.8 2007/10/02 10:12:47 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8EventAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8EventAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8EventAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8EventAction.cc,v 1.10 2007/11/12 10:54:49 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8EventActionMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8EventActionMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8EventActionMessenger.cc,v 1.5 2006/06/29 17:00:15 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8PrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8PrimaryGeneratorAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8PrimaryGeneratorAction.cc,v 1.7 2006/06/29 17:00:18 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8PrimaryGeneratorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8PrimaryGeneratorMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8PrimaryGeneratorMessenger.cc,v 1.5 2006/06/29 17:00:21 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8RunAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8RunAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8RunAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8RunAction.cc,v 1.15 2007/11/12 10:54:49 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8RunMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8RunMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8RunMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8RunMessenger.cc,v 1.7 2006/06/29 17:00:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8SteppingAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8SteppingAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8SteppingAction.cc,v 1.10 2007/11/12 10:54:49 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8SteppingVerbose.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8SteppingVerbose.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8SteppingVerbose.cc,v 1.8 2006/06/29 17:00:29 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/electromagnetic/TestEm8/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/PhysicsList.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: PhysicsList.cc,v 1.14 2007/09/26 10:23:17 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.cc,v 1.16 2008/12/05 17:46:12 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 
@@ -36,9 +36,11 @@
 
 #include "G4EmStandardPhysics.hh"
+#include "G4EmStandardPhysics_option1.hh"
+#include "G4EmStandardPhysics_option2.hh"
+#include "G4EmStandardPhysics_option3.hh"
 #include "G4DecayPhysics.hh"
 
-#include "PhysListEmModelPai.hh"
-#include "PhysListEmPaiPhoton.hh"
-#include "PhysListEmPAI.hh"
+#include "G4PAIModel.hh"
+#include "G4PAIPhotonModel.hh"
 
 #include "G4Gamma.hh"
@@ -69,6 +71,4 @@
   pMessenger = new PhysicsListMessenger(this);
 
-  SetVerboseLevel(1);
-
   // Decay Physics is always defined
   generalPhysicsList = new G4DecayPhysics();
@@ -76,6 +76,7 @@
   // EM physics
   emName = G4String("emstandard");
-  emPhysicsList = new G4EmStandardPhysics();
-
+  emPhysicsList = new G4EmStandardPhysics(1);
+
+  SetVerboseLevel(1);
 }
 
@@ -104,4 +105,5 @@
   AddTransportation();
   emPhysicsList->ConstructProcess();
+  em_config.AddModels();
   generalPhysicsList->ConstructProcess();
   for(size_t i=0; i<hadronPhys.size(); i++) hadronPhys[i]->ConstructProcess();
@@ -113,33 +115,41 @@
 void PhysicsList::AddPhysicsList(const G4String& name)
 {
-  if (verboseLevel>-1) {
+  if (verboseLevel>1) {
     G4cout << "PhysicsList::AddPhysicsList: <" << name << ">" << G4endl;
   }
 
-  if (name == emName) return;
-
-  if (name == "pai") 
-  {
+  if (name == emName) {
+    return;
+
+  } else if (name == "emstandard_opt1") {
+
     emName = name;
     delete emPhysicsList;
-    emPhysicsList = new PhysListEmModelPai(name);
-    G4cout<<"PhysListEmModelPai is called"<<G4endl;
-  }
-  else if (name == "pai_photon") 
-  {
+    emPhysicsList = new G4EmStandardPhysics_option1();
+
+  } else if (name == "emstandard_opt2") {
+
     emName = name;
     delete emPhysicsList;
-    emPhysicsList = new PhysListEmPaiPhoton(name);
-    G4cout<<"PhysListEmModelPaiPhoton is called"<<G4endl;
-  } 
-  else if (name == "pai_brem") 
-  {
+    emPhysicsList = new G4EmStandardPhysics_option2();
+
+  } else if (name == "emstandard_opt3") {
+
     emName = name;
     delete emPhysicsList;
-    emPhysicsList = new PhysListEmPAI(name);
-    G4cout<<"PhysListEmPAI is called (bremsstrahlung dedx added)"<<G4endl;
-  } 
-  else 
-  {
+    emPhysicsList = new G4EmStandardPhysics_option3();
+
+  } else if (name == "pai") {
+
+    emName = name;
+    AddPAIModel(name);
+
+  } else if (name == "pai_photon") { 
+
+    emName = name;
+    AddPAIModel(name);
+
+  } else {
+
     G4cout << "PhysicsList::AddPhysicsList: <" << name << ">"
            << " is not defined"
@@ -156,5 +166,4 @@
 
   theParticleIterator->reset();
-
   while ((*theParticleIterator)())
   {
@@ -216,2 +225,44 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
+void PhysicsList::AddPAIModel(const G4String& modname)
+{
+  theParticleIterator->reset();
+  while ((*theParticleIterator)())
+  {
+    G4ParticleDefinition* particle = theParticleIterator->value();
+    G4String partname = particle->GetParticleName();
+    if(partname == "e-" || partname == "e+") {
+      NewPAIModel(particle, modname, "eIoni");
+
+    } else if(partname == "mu-" || partname == "mu+") {
+      NewPAIModel(particle, modname, "muIoni");
+
+    } else if(partname == "proton" ||
+	      partname == "pi+" ||
+              partname == "pi-"   
+	      ) {
+      NewPAIModel(particle, modname, "hIoni");
+    }
+  }
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+void PhysicsList::NewPAIModel(const G4ParticleDefinition* part, 
+			      const G4String& modname,
+			      const G4String& procname)
+{
+  G4String partname = part->GetParticleName();
+  if(modname == "pai") {
+    G4PAIModel* pai = new G4PAIModel(part,"PAIModel");
+    em_config.SetExtraEmModel(partname,procname,pai,"VertexDetector",
+			      0.0,100.*TeV,pai);
+  } else if(modname == "pai_photon") {
+    G4PAIPhotonModel* pai = new G4PAIPhotonModel(part,"PAIPhotModel");
+    em_config.SetExtraEmModel(partname,procname,pai,"VertexDetector",
+			      0.0,100.*TeV,pai);
+  }
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
Index: trunk/examples/extended/electromagnetic/TestEm8/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/PhysicsListMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/PhysicsListMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.2 2006/06/29 17:00:47 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/StepMax.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/StepMax.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/StepMax.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.cc,v 1.3 2006/06/29 17:00:49 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm8/src/StepMaxMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/StepMaxMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/StepMaxMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.cc,v 1.2 2006/06/29 17:00:52 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm9/GNUmakefile
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/GNUmakefile	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/GNUmakefile	(revision 1230)
@@ -1,4 +1,4 @@
-# $Id: GNUmakefile,v 1.8 2006/10/26 15:50:35 maire Exp $
-# GEANT4 tag $Name:  $
+# $Id: GNUmakefile,v 1.9 2008/06/11 22:31:05 maire Exp $
+# GEANT4 tag $Name: geant4-09-03-cand-01 $
 # --------------------------------------------------------------
 # GNUmakefile for examples module with AIDA interface
@@ -16,15 +16,7 @@
 all: lib bin
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
+#### G4ANALYSIS_USE := true
 
 include $(G4INSTALL)/config/architecture.gmk
-
-# for the aida-config command see the README file
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
Index: trunk/examples/extended/electromagnetic/TestEm9/TestEm9.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/TestEm9.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/TestEm9.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: TestEm9.cc,v 1.8 2006/11/17 17:45:05 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm9/cms10gev.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/cms10gev.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/cms10gev.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: cms10gev.mac,v 1.2 2006/10/26 15:50:35 maire Exp $
+# $Id: cms10gev.mac,v 1.5 2008/09/24 10:38:46 vnivanch Exp $
 #
 # Macro file for "TestEm9.cc" 
@@ -10,12 +10,14 @@
 #
 /testem/det/CalMat     G4_PbWO4
-/testem/del/EcalLength 230 mm
+/testem/det/EcalLength 230 mm
 /testem/det/EcalWidth   22 mm
 #
-/testem/phys/addPhysics  standard
+#/testem/phys/addPhysics  emstandard_opt2
+/testem/phys/addPhysics  standardLPM
 #
+/testem/phys/setCuts 1 mm
 /testem/phys/VertexCuts 0.01 mm
 /testem/phys/MuonCuts  10.0 mm
-/testem/stepMax          10 mm
+#/testem/stepMax          10 mm
 #
 #
@@ -31,14 +33,17 @@
 #/random/resetEngineFrom first.rndm
 /testem/event/printModulo 1000
-/testem/histo/fileName  cms.paw
-/testem/histo/setHisto  0 75  7000  8500 MeV
-/testem/histo/setHisto  1 100 9000 10000 MeV
-/testem/histo/setHisto  2 100 9500 10000 MeV
-#/testem/histo/fileType  hbook
-/testem/
+/testem/histo/fileName cms10gev1mm
+/testem/histo/fileType root
+/testem/histo/setHisto 0  250 0.60 0.85 
+/testem/histo/setHisto 1  200 0.80 1.00 
+/testem/histo/setHisto 2  100 0.90 1.00 
+/testem/histo/setHisto 10  80 0.80 0.88 
+/testem/histo/setHisto 11 100 0.75 0.85 
+/testem/histo/setHisto 12  40 0.94 0.98 
+/run/initialize
+/run/beamOn 10000
 #
-/testem/phys/setCuts 1 mm
-/run/initialize
-/run/beamOn 1000
+/testem/phys/setCuts 3 mm
+/testem/histo/fileName cms10gev3mm
+/run/beamOn 10000
 #
-#
Index: trunk/examples/extended/electromagnetic/TestEm9/csi.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/csi.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/csi.mac	(revision 1230)
@@ -1,4 +1,4 @@
 # $Id: csi.mac,v 1.4 2006/10/26 15:50:35 maire Exp $
-# GEANT4 tag $Name:  $
+# GEANT4 tag $Name: geant4-09-03-cand-01 $
 #
 # Macro file for TestEm9 - Crystal Calorimeter
Index: trunk/examples/extended/electromagnetic/TestEm9/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/include/DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/include/DetectorConstruction.hh	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: DetectorConstruction.hh,v 1.5 2006/06/29 17:00:56 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: DetectorConstruction.hh,v 1.7 2008/04/07 18:09:05 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
@@ -57,4 +57,5 @@
 class DetectorMessenger;
 class G4Region;
+class G4ProductionCuts;
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -65,5 +66,5 @@
 
   DetectorConstruction();
-  ~DetectorConstruction();
+  virtual ~DetectorConstruction();
 
 public:
@@ -71,10 +72,10 @@
   void SetEcalMaterial(const G4String&);
   void SetAbsMaterial(const G4String&);
-  void SetEcalLength (G4double val)   {ecalLength = val;};
-  void SetEcalWidth  (G4double val)   {ecalWidth = val;};
-  void SetVertexLength (G4double val) {vertexLength = val;};
-  void SetPadLength  (G4double val)   {padLength = val;};
-  void SetPadWidth  (G4double val)    {padWidth = val;};
-  void SetAbsLength(G4double val)     {absLength = val;};
+  void SetEcalLength(G4double val);
+  void SetEcalWidth(G4double val);
+  void SetVertexLength(G4double val);
+  void SetPadLength(G4double val);
+  void SetPadWidth(G4double val);
+  void SetAbsLength(G4double val);
 
   G4VPhysicalVolume* Construct();
@@ -82,5 +83,5 @@
   void UpdateGeometry();
 
-  G4double GetWorldSizeZ()            {return worldZ;}
+  G4double GetWorldSizeZ()  {return worldZ;}
 
 private:
@@ -106,12 +107,21 @@
   G4Material* yorkMaterial;
 
-  G4LogicalVolume* logicC;
+  G4LogicalVolume* logicWorld;
+  G4LogicalVolume* logicECal;
+  G4LogicalVolume* logicCal;
   G4LogicalVolume* logicA1;
   G4LogicalVolume* logicA2;
   G4LogicalVolume* logicA3;
   G4LogicalVolume* logicA4;
+  G4LogicalVolume* logicYV;
+  G4LogicalVolume* logicY;
+  G4LogicalVolume* logicVV;
+  G4LogicalVolume* logicVD;
+  G4LogicalVolume* logicV;
   
   G4Region*   vertexRegion;
   G4Region*   muonRegion;
+  G4ProductionCuts* vertexDetectorCuts;
+  G4ProductionCuts* muonDetectorCuts;
 
   DetectorMessenger* detectorMessenger;  //pointer to the Messenger
Index: trunk/examples/extended/electromagnetic/TestEm9/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/include/DetectorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/include/DetectorMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.4 2006/06/29 17:00:58 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/electromagnetic/TestEm9/include/EmAcceptance.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/include/EmAcceptance.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/include/EmAcceptance.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: EmAcceptance.hh,v 1.2 2006/06/29 17:01:00 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/electromagnetic/TestEm9/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/include/EventAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/include/EventAction.hh	(revision 1230)
@@ -28,5 +28,5 @@
 
 // $Id: EventAction.hh,v 1.3 2006/06/29 17:01:02 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
Index: trunk/examples/extended/electromagnetic/TestEm9/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/include/EventActionMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.3 2006/06/29 17:01:04 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm9/include/Histo.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/include/Histo.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/include/Histo.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: Histo.hh,v 1.5 2007/05/24 13:17:41 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 
 #ifndef Histo_h
Index: trunk/examples/extended/electromagnetic/TestEm9/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/include/HistoManager.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/include/HistoManager.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: HistoManager.hh,v 1.8 2007/04/24 14:20:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: HistoManager.hh,v 1.11 2008/09/24 10:38:46 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 
 #ifndef HistoManager_h
@@ -110,5 +110,5 @@
   void SetThresholdEnergy(G4double val) {thKinE = val;};
   void SetThresholdZ(G4double val) {thPosZ = val;};
-  void AddStep() {n_step++;};
+  void AddStep() {n_step += 1.0;};
 
   // Acceptance parameters
@@ -133,4 +133,6 @@
 
   G4double trackLength;
+  G4double n_step;
+  G4double n_step_target;
   G4bool trackAbs;        // Track is in absorber
   G4int n_evt;
@@ -138,8 +140,7 @@
   G4int n_posit;
   G4int n_gam;
-  G4int n_step;
   G4int n_gamph;
   G4int n_gam_tar;
-  G4int n_step_target;
+  G4int n_lowe;
   G4int nBinsE, nBinsEA, nBinsED;
   G4bool nTuple;
@@ -153,9 +154,9 @@
   G4double  rmstrue[3];
   G4double  limittrue[3];
-  G4double  edep[3];
-  G4double  erms[3];
-  G4double  edeptr[3];
-  G4double  ermstr[3];
-  G4int     stat[3];
+  G4double  edep[6];
+  G4double  erms[6];
+  G4double  edeptr[6];
+  G4double  ermstr[6];
+  G4int     stat[6];
   G4int     nmax;
 
Index: trunk/examples/extended/electromagnetic/TestEm9/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/include/HistoMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/include/HistoMessenger.hh	(revision 1230)
@@ -27,5 +27,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.3 2006/06/29 17:01:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/electromagnetic/TestEm9/include/PhysListEmLivermore.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/include/PhysListEmLivermore.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/include/PhysListEmLivermore.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysListEmLivermore.hh,v 1.1 2006/11/17 17:45:57 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm9/include/PhysListEmPenelope.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/include/PhysListEmPenelope.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/include/PhysListEmPenelope.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysListEmPenelope.hh,v 1.1 2006/11/17 17:45:57 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm9/include/PhysListEmStandard.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/include/PhysListEmStandard.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/include/PhysListEmStandard.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysListEmStandard.hh,v 1.3 2006/06/29 17:02:17 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
